Subject: lowpri - RTO for unidirectional reciever

From: Rick Jones <[email-masked]>
Date: Mon, 08 Dec 2008 18:02:01 -0800

Folks -

I was going through old email to do a status report and was reminded of 
a discussion in netperf-talk that might be of interest to people here 
since it involved a Linux receiver:

http://www.netperf.org/pipermail/netperf-talk/2008-November/000478.html

A Mac OSX bug was found/presumed, but there was an interesting behaviour 
on the linux receiver side as well - the rtx of the ignored FIN happened 
after what IIRC is the initial RTO.  It suggested that the ACK of the 
SYN|ACK didn't update the rtt estimate or if it did, didn't so so very 
much.  Bug? Feature?  No idea, but food for thought.

rick jones